- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 0ed80251-8aa3-4de9-a078-21caabe6732b
    creation_time: 2023-02-17T13:41:45.047566Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/afnp2014.c
      input_file_hashes:
        c/loop-lit/afnp2014.c: 4efd0410eb4fdbbe3e134534ab696c327afa8d9f29931704c73787f4d89c9913
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/afnp2014.c
    file_hash: 4efd0410eb4fdbbe3e134534ab696c327afa8d9f29931704c73787f4d89c9913
    line: 11
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: (x >= y && y >= 1 || (x == 1 && y == 0)) && y <= 1000
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: dadf2db9-f1d9-4097-8db2-348c7bf8a0fb
    creation_time: 2023-02-17T13:41:45.048177Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/afnp2014.c
      input_file_hashes:
        c/loop-lit/afnp2014.c: 4efd0410eb4fdbbe3e134534ab696c327afa8d9f29931704c73787f4d89c9913
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/afnp2014.c
    file_hash: 4efd0410eb4fdbbe3e134534ab696c327afa8d9f29931704c73787f4d89c9913
    line: 15
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: x >= y
    type: assertion
    format: C

